Flash Version require Flash 8 plug-in 











   recommended for slow internet connection